import * as yup from 'yup';
declare const MerchantConfigSchema: yup.ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    MerchantID: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashKey: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashIV: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    ReturnURL: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    PlatformID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    OrderResultURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientBackURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    MerchantID: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashKey: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashIV: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    ReturnURL: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    PlatformID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    OrderResultURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientBackURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    MerchantID: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashKey: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    HashIV: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    ReturnURL: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    PlatformID: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    OrderResultURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientBackURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PeriodReturnURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    ClientRedirectURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    PaymentInfoURL: yup.StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>>;
export default MerchantConfigSchema;
