import { InvoiceParams } from '../types';
export declare function generateCheckMacValue(params: any, hashKey: string, hashIV: string): string;
export declare function generateRedirectPostForm(endpoint: string, params: object): string;
export declare function getEncodedInvoice(invoice?: InvoiceParams): InvoiceParams | undefined;
export declare function getCurrentUnixTimeStampOffset(seconds?: number): number;
export declare function getDateString(date?: Date): string;
export declare function getDateTimeString(date?: Date): string;
export declare function PostRequest<T>(config: {
    apiUrl: string;
    params: {};
    responseEncoding?: 'utf8' | 'Big5';
}): Promise<T>;
export declare function getQueryStringFromParams(data: {}, sort?: boolean): string;
export declare function fromEntries<T = any>(entries: Iterable<readonly [PropertyKey, T]>): {
    [k: string]: T;
};
export declare function parseIntegerFileds(input: any, fields: string[]): any;
