"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const yup = __importStar(require("yup"));
const TradeNoAioQueryParamsSchema = yup.object().shape({
    DateType: yup.string().strict().required().oneOf(['2', '4', '6']),
    BeginDate: yup
        .string()
        .strict()
        .required()
        .matches(/^\d{4}-\d{2}-\d{2}/),
    EndDate: yup
        .string()
        .strict()
        .required()
        .matches(/^\d{4}-\d{2}-\d{2}/),
    PaymentType: yup.string().strict().oneOf(['01', '02', '03', '04', '05', '10', '11']),
    PlatformStatus: yup.string().strict().oneOf(['1', '2']),
    PaymentStatus: yup.string().strict().oneOf(['0', '1', '2']),
    AllocateStatus: yup.string().strict().oneOf(['0', '1']),
    MediaFormated: yup.string().strict().required().oneOf(['0', '1']),
    CharSet: yup.string().strict().oneOf(['1', '2']),
});
exports.default = TradeNoAioQueryParamsSchema;
